Auto Multiple Choice - Bug # 534: \AMCcode doesn't work with newer version

Status: Closed Priority: Normal

Author: David Dixon Category:

Created: 03/01/2018 Assignee:

Updated: 02/08/2021 Due date:

Description: The attached code works fine on 1.2.1, but version 1.3.0 fails to find the code for association. This was

previously reported with regard to Issue #530.

History

03/01/2018 10:09 am - Alexis Bienveniie
- Status changed from New to Feedback

This works on my side.

Can you do the following in debugging mode (from the _Help_ menu), and post the resulting @log@ file?
* tick the _Update marking scale_ box, if not already done,

* click the _Mark_ button.

03/01/2018 12:43 pm - David Dixon
Do you have a recommended method for running two different versions of AMC? It's a hassle upgrading and downgrading to test.

03/01/2018 02:04 pm - Alexis Bienveniie

An idea if you can install build dependencies (and mercurial) and uninstall AMC:
* clone AMC mercurial repository in, say, ~/amc-1

* checkout to some AMC version (or mercurial revision)

* build AMC with @make version_files ; make@

* use @make local@ to install links to your build.

You can repeat the same with ~/amc-2 and another version, and use @make local@ in one or another of the two directories to switch to another

version.

This works in a debian environment: I'm not sure the links are created in the right place for other environments, you will have to create other links if not.

03/18/2018 09:35 am - David Dixon
- File AMC-DEBUG-pSuuB62y.log added

Here's the log marking under 1.3.0

In version 1.2.1, the studentID \AMCCode is found with no problem. Same exact tex files and scans under 1.3.0 fails.

03/18/2018 09:52 am - David Dixon
Marking doesn't seem to work at all in 1.3.0, even if | start a whole project from scratch. The problem is, \scoring with questionmulti doesn't work in 1.2.1

03/18/2018 02:18 pm - Alexis Bienveniie
LaTeX includes the style file from @/home/ddixon/texmf/tex/latex’/AMC/automultiplechoice.sty@. Can you check that the version of this style file always

matches the version of AMC, whatever this version is?

03/18/2018 05:42 pm - David Dixon
Excellent, thanks!
That's a local version | forgot about. sudo apt-get finds it and replaced it last time | rolled back to 1.2.1, but installing from your ppa doesn't. So | deleted
it, and now 1.3.0 marks (though still not correctly on \AMCOpen), and, HOORAY, it finds the \AMCcode for identification!!

The problem with \AMCOpen, that | was hoping upgrading to 1.3.0 would fix, is this: | want' to be able to enter a score between 0 and 15 by having only
5 boxes (0,1,2,4,8) and scoring with the sum. Marking only ever counts the boxes and ignore the \scoring.

<pre>
\begin{questionmultx}{Graph Problem}

\AMCOpen{lines=10,
lineheight=0.6cm}{\wrongchoice[0]{0}\scoring{0}\wrongchoice[1]{1}\scoring{1}\wrongchoice[2]){2}\scoring{2}\wrongchoice[4]{4}\scoring{4}\correctchoice[8
[{8}\scoring{8}}

\end{questionmultx}

</pre>

03/18/2018 05:55 pm - David Dixon
I'm still struggling with installing multiple versions of AMC from mercurial, btw. I'm trying to build 1.2.1 from the repo checkout, and after installing many

libs, it fails on this

<pre>

rsvg-convert -w 24 -h 24 img_src/important.svg -o html/images/important.png

Error saving to file: html/images/important.png

Makefile:46: recipe for target 'html/images/important.png' failed

make[4]: *** [html/images/important.png] Error 1

rm auto-multiple-choice.en.ext auto-multiple-choice.en.tex auto-multiple-choice.ja.html auto-multiple-choice.fr.man auto-multiple-choice.fr.html
auto-multiple-choice.ja.man auto-multiple-choice.en.html auto-multiple-choice.en.man auto-multiple-choice.ja.ext auto-multiple-choice.fr.ext
auto-multiple-choice.fr.tex

</pre>

03/18/2018 06:00 pm - David Dixon
- File Exam2_new_-_Auto_Multiple_Choice _132.png added

Another interesting thing about 1.3.0 over 1.2.1, the pull-down selectors don't format correctly in 1.3.0: the text is black on a black background, so the

only way to find out what the selections are is to select each one so the text and background are different colors. See attached.

03/18/2018 06:14 pm - David Dixon

David Dixon wrote:

> Excellent, thanks!

>

> That's a local version | forgot about. sudo apt-get finds it and replaced it last time | rolled back to 1.2.1, but installing from your ppa doesn't. So |
deleted it, and now 1.3.0 marks (though still not correctly on \AMCOpen), and, HOORAY, it finds the \AMCcode for identification!!

>

> The problem with \AMCOpen, that | was hoping upgrading to 1.3.0 would fix, is this: | want' to be able to enter a score between 0 and 15 by having
only 5 boxes (0,1,2,4,8) and scoring with the sum. Marking only ever counts the boxes and ignore the \scoring.

>

Never mind about \AAMCOpen - that was a construct | found in a forum, but re-reading the documentation, | see | have to include bon/mauvais (b=,m=)

for it two work in questionmult. So it works now.
Incidentally, the 2015 documentation has a copyright notice on page ii that says (c) 2008-2013, so | didn't realize it's newer than the 2013 revision that |
had.

03/18/2018 07:54 pm - David Dixon
- File Selection_133.png added

The other weird thing in 1.3.0 is that it scores \AMCCode with something like X/1 , where X looks like a bunch of numbers typed on top of each other.
See attached

03/18/2018 08:57 pm - Alexis Bienveniie
> the pull-down selectors don't format correctly in 1.3.0: the text is black on a black background
Do you have the same issue with this example ?

https://github.com/Programmica/perl-gtk3-examples/blob/master/combobox.pl

03/18/2018 09:01 pm - Alexis Bienveniie
> The other weird thing in 1.3.0 is that it scores \AMCCode with something like X/1
Can you check that _Edit/Preferences/Annotation/Symbols/Also annotate informative questions_ is *not* ticked?

03/19/2018 02:12 pm - David Dixon
Yes, "annotate informative" was checked. So | unchecked it! Thanks!!.

03/19/2018 02:29 pm - David Dixon
The perl doesn't compile: Can't locate Gtk3.pm

03/19/2018 09:49 pm - Alexis Bienveniie
> Can't locate Gtk3.pm

You need to install the perl @Gtk3@ module (with debian/ubuntu, use the @libgtk3-perl@ package).

03/20/2018 04:41 am - David Dixon

The combobox perl works fine. You can resolve this issue, btw, as user error.

02/08/2021 04:24 pm - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
